http://www.mediawiki.org/wiki/Special:Code/MediaWiki/92977

Revision: 92977
Author:   aaron
Date:     2011-07-24 06:10:12 +0000 (Sun, 24 Jul 2011)
Log Message:
-----------
* Version ExtensionMessages.php
* Fixed error msg wording (it's the .dat file we read)

Modified Paths:
--------------
    trunk/tools/mwmultiversion/scripts/scap
    trunk/tools/mwmultiversion/scripts/scap-2
    trunk/tools/mwmultiversion/wmf-config/CommonSettings.php

Modified: trunk/tools/mwmultiversion/scripts/scap
===================================================================
--- trunk/tools/mwmultiversion/scripts/scap     2011-07-24 02:00:43 UTC (rev 
92976)
+++ trunk/tools/mwmultiversion/scripts/scap     2011-07-24 06:10:12 UTC (rev 
92977)
@@ -1,32 +1,47 @@
 #!/bin/bash
 
 BINDIR=/home/wikipedia/bin
-SOURCE=/home/wikipedia/common/php-1.17
-DEST=/usr/local/apache/common-local/php-1.17
+SOURCE=/home/wikipedia/common
 
 # Perform syntax check
 
 if [ ! -S "$SSH_AUTH_SOCK" ]; then
-        echo >&2 "SSH_AUTH_SOCK not set or not pointing to a socket."
-        echo >&2 "Did you start your ssh-agent?"
+       echo >&2 "SSH_AUTH_SOCK not set or not pointing to a socket."
+       echo >&2 "Did you start your ssh-agent?"
        exit 1
 fi
 
+mwVerDbSets=(`mwversionsinuse --withdb`)
+if [ -z "$mwVerDbSets" ]; then
+       echo "Unable to read wikiversions.dat or it is empty"
+       exit 1
+fi
 
 echo Checking syntax...
-if ! $BINDIR/lint "$SOURCE"; then
-       echo Found syntax errors, cannot sync
-       exit
-fi
+for i in "${mwVerDbSets[@]}"
+do
+       mwVerNum=${i%=*}
+       if ! $BINDIR/lint "$SOURCE"/php-"$mwVerNum"; then
+               echo Found syntax errors, cannot sync
+               exit
+       fi
+done
 
 # Update the current machine so that serialization works
 $BINDIR/sync-common
 
-# Regenerate the extension message file list
-echo Updating ExtensionMessages.php...
-php $SOURCE/maintenance/mergeMessageFileList.php 
--list-file=$SOURCE/../wmf-config/extension-list \
-       --output=$SOURCE/../wmf-config/ExtensionMessages.php
 
+for i in "${mwVerDbSets[@]}"
+do
+       mwVerNum=${i%=*}
+       mwDbName=${i#*=}
+       # Regenerate the extension message file list
+       echo Updating ExtensionMessages.php...
+       mwscript mergeMessageFileList.php --wiki="$mwDbName" \
+               --list-file=$SOURCE/wmf-config/extension-list \
+               --output=$SOURCE/wmf-config/ExtensionMessages-"$mwVerNum".php
+done
+
 # Notify
 $BINDIR/dologmsg "!log $USER synchronizing Wikimedia installation... $(cd 
/home/wikipedia/common/php-1.17; svn info|grep ^Revision): $*"
 

Modified: trunk/tools/mwmultiversion/scripts/scap-2
===================================================================
--- trunk/tools/mwmultiversion/scripts/scap-2   2011-07-24 02:00:43 UTC (rev 
92976)
+++ trunk/tools/mwmultiversion/scripts/scap-2   2011-07-24 06:10:12 UTC (rev 
92977)
@@ -14,7 +14,7 @@
 
 mwVersionNums=(`mwversionsinuse`)
 if [ -z "$mwVersionNums" ]; then
-       echo "Unable to read wikiversions.db or it is empty"
+       echo "Unable to read wikiversions.dat or it is empty"
        exit 1
 fi
 

Modified: trunk/tools/mwmultiversion/wmf-config/CommonSettings.php
===================================================================
--- trunk/tools/mwmultiversion/wmf-config/CommonSettings.php    2011-07-24 
02:00:43 UTC (rev 92976)
+++ trunk/tools/mwmultiversion/wmf-config/CommonSettings.php    2011-07-24 
06:10:12 UTC (rev 92977)
@@ -2290,7 +2290,7 @@
 #
 # REALLY ... were not kidding here ... NO EXTENSIONS AFTER
 
-require( "$wmfConfigDir/ExtensionMessages.php" );
+require( "$wmfConfigDir/ExtensionMessages-$wgVersionNumber.php" );
 
 wfProfileOut( "$fname-misc5" );
 wfProfileOut( $fname );


_______________________________________________
MediaWiki-CVS mailing list
MediaWiki-CVS@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/mediawiki-cvs

Reply via email to